package com.gingersoft.gsa.cloud.bean.mvp.model.bean;

import java.util.List;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2020-03-31
 * 修订历史：2020-03-31
 * 描述：取消原因
 */
public class FoodReason {


    /**
     * success : true
     * sysTime : 1585726692519
     * data : [{"id":1,"uid":1,"restaurantId":410,"content":"顔色不好看","type":1,"updateTime":1585721573999,"createTime":1585721573999}]
     */

    private boolean success;
    private long sysTime;
    private List<DataBean> data;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public long getSysTime() {
        return sysTime;
    }

    public void setSysTime(long sysTime) {
        this.sysTime = sysTime;
    }

    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * id : 1
         * uid : 1
         * restaurantId : 410
         * content : 顔色不好看
         * type : 1,2,3
         * updateTime : 1585721573999
         * createTime : 1585721573999
         */

        private int id;
        private int uid;
        private int restaurantId;
        private String content;
        private String type;
        private long updateTime;
        private long createTime;

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getUid() {
            return uid;
        }

        public void setUid(int uid) {
            this.uid = uid;
        }

        public int getRestaurantId() {
            return restaurantId;
        }

        public void setRestaurantId(int restaurantId) {
            this.restaurantId = restaurantId;
        }

        public String getContent() {
            return content;
        }

        public void setContent(String content) {
            this.content = content;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public long getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(long updateTime) {
            this.updateTime = updateTime;
        }

        public long getCreateTime() {
            return createTime;
        }

        public void setCreateTime(long createTime) {
            this.createTime = createTime;
        }
    }
}
